#!/bin/bash

set -e

LOGFILE="/var/log/coremedia/bulkpublish_content.log"

. /etc/profile

if [ -d {{ deployment_tmp_directory }}/test-data/content ]
then

  echo "" > "${LOGFILE}"

  {{ cms_tools_dir }}/bin/cm bulkpublish \
    --user admin \
    --password admin \
    --approve \
    --publish \
    --checkin >> "${LOGFILE}"

  touch /etc/coremedia/bulkpublish_content

fi

# action :bulkpublish_content do
#   raise "Cannot publish content, content dir does not exist at #{new_resource.content_dir}" unless ::File.exist?(new_resource.content_dir)
#   raise "Cannot publish content, Content Management Server Tools not found at #{new_resource.cms_tools_dir}" unless ::File.exist?("#{new_resource.cms_tools_dir}/bin/publishall.jpif")
#   raise "Cannot publish content, Content Management Server Tools not found at #{new_resource.cms_tools_dir}" unless ::File.exist?("#{new_resource.cms_tools_dir}/bin/bulkpublish.jpif")
#   publish_marker_file = "#{new_resource.content_dir}/#{CONTENT_PUBLISHED}"
#   workaround_log 'CONTENT ALREADY PUBLISHED, DROP MASTER DB TO REPUBLISH' if ::File.exist?(publish_marker_file)
#
#   content_publish = execute 'publish content' do
#     command "#{new_resource.cms_tools_dir}/bin/cm bulkpublish -u admin -p admin -a -b -c"
#     timeout new_resource.timeout
#     user new_resource.user
#     group new_resource.group
#     not_if { ::File.exist?(publish_marker_file) }
#   end
#
#   file publish_marker_file do
#     owner new_resource.user
#     group new_resource.group
#     action :nothing
#     subscribes :create, content_publish, :immediately
#   end
# end
